# aystar.cpp File Reference

Implementation of A*. More...

`#include "stdafx.h"`
`#include "aystar.h"`
`#include "core/alloc_func.hpp"`

Go to the source code of this file.

## Functions

static PathNode * | AyStarMain_ClosedList_IsInList (AyStar *aystar, const AyStarNode *node)
static void | AyStarMain_ClosedList_Add (AyStar *aystar, const PathNode *node)
static OpenListNode * | AyStarMain_OpenList_IsInList (AyStar *aystar, const AyStarNode *node)
static OpenListNode * | AyStarMain_OpenList_Pop (AyStar *aystar)
static void | AyStarMain_OpenList_Add (AyStar *aystar, PathNode *parent, const AyStarNode *node, int f, int g)
int | AyStarMain_CheckTile (AyStar *aystar, AyStarNode *current, OpenListNode *parent)
int | AyStarMain_Loop (AyStar *aystar)
void | AyStarMain_Free (AyStar *aystar)
void | AyStarMain_Clear (AyStar *aystar)
int | AyStarMain_Main (AyStar *aystar)
void | AyStarMain_AddStartNode (AyStar *aystar, AyStarNode *start_node, uint g)
void | init_AyStar (AyStar *aystar, Hash_HashProc hash, uint num_buckets)

## Variables

int | _aystar_stats_open_size
int | _aystar_stats_closed_size

## Detailed Description

Implementation of A*.

Definition in file aystar.cpp.